Jump to content

MediaWiki:Vector.css: Difference between revisions

From KAVAN RC Wiki
No edit summary
No edit summary
Line 29: Line 29:
}
}


body:has(#vector-toc-pinned-container:empty) .mw-body {
body:has(#vector-toc-pinned-container:empty) .mw-content-container {
     padding-top: 60px; /* match your logo overhang */
     padding-top: 150px; /* match your logo overhang */
}
}
@media (max-width: 999px) {
@media (max-width: 999px) {

Revision as of 07:42, 28 January 2026

/* Keep header grid compact */
.vector-header-container {
    align-items: start;
}

/* Remove logo from grid flow */
.vector-header-start {
    position: relative;
}

/* Absolutely position the logo */
.vector-header-start .mw-logo-wordmark {
    position: absolute;
    top: 0;
    left: 0;
    z-index: 20;
}

/* Optional: push logo downward */
.vector-header-start .mw-logo-wordmark img {
    margin-top: 0; /* or e.g. 20px */
}

.mw-body {
    padding-top: 40px; /* adjust to logo overhang */
}
.mw-table-of-contents-container {
    margin-top: 80px; /* adjust to logo overhang */
}

body:has(#vector-toc-pinned-container:empty) .mw-content-container {
    padding-top: 150px; /* match your logo overhang */
}
@media (max-width: 999px) {
    .vector-header-start .mw-logo-wordmark {
        position: static; /* cancel absolute positioning */
    }
    .mw-logo-wordmark img {
        height: 80px;      /* choose your value */
        width: auto;
    }
}